[Gitec] Re: ENC: Bug no sapl 2.1

paulofernandes paulofernandes at interlegis.gov.br
Wed Dec 14 14:46:08 BRST 2005


Ivan,

  Se eu não me engano, a rotina de backup no sistema é uma das
facilidades que ainda não estão funcionando nesta versão do SAPL. Vale
ainda o backup manual, cujas instruções estão no portal interlegis. A
migração do ZOPE para o 2.8.3 não afetará os dados já cadastrados.

[]s,

Paulo Fernandes
Programa Interlegis
Brasília - DF.


Em Qua, 2005-12-14 às 14:15 -0300, Câmara Municipal de Maringá escreveu:
> Boa tarde, Paulo
> 
>  
> 
> Enviei ontem a mensagem abaixo para o Ciciliati e também para a lista
> de discussão do Gitec, mas como ainda não obtive nenhuma resposta
> resolvi te pedir ajuda para resolver esse problema, uma vez que
> preciso colocar o sapl em produção o mais rápido possível.
> 
>  
> 
> []s
> 
>  
> 
> Ivan Marcos Garcia
> 
> Câmara Municipal de Maringá
> 
>  
> 
>                                    
> ______________________________________________________________________
> De: Câmara Municipal de Maringá [mailto:maringa at cmm.pr.gov.br] 
> Enviada em: terça-feira, 13 de dezembro de 2005 15:20
> Para: 'Fernando Ciciliati Jr.'; 'gitec at listas.interlegis.gov.br'
> Assunto: Bug no sapl 2.1
> 
> 
>  
> 
> Boa tarde, Cicliati.
>  
> Recentemente instalei o Sapl 2.1 numa máquina com o Ubuntu 5.10. Acontece que a versão do zope que foi instalada foi a 2.8.1, que possui o bug reportado pelo Luciano na lista Gitec, e sua resposta (abaixo) foi de que deveria ser atualizado para a versão 2.8.3, ou seja colocar um apontamento no arquivo /etc/apt/sources.list um apontamento para o repositório do interlegis e fazer o upgrade. 
> Eu já fiz o cadastramento de todos os parlamentares da casa, desde a primeira legislatura, e também alimentei as tabelas auxiliares. Mas quando fui fazer o backup do sistema pelo sapl deu a seguinte mensagem:
> Zope Error
> Zope encontrou um erro ao publicar esta página.
> Tipo do Erro: AttributeError
> Valor do Erro: tmp
> E no backup do Banco de dados MySql a seguinte mensagem:
> Zope Error
> Zope encontrou um erro ao publicar esta página.
> Tipo do Erro: AttributeError
> 
> 
> 
> Valor do Erro: banco_backup
> Se eu fizer o upgrade do zope para a versão 2.8.3 vou perder as informações que foram cadastradas?
> Como devo proceder para fazer um backup manual do sistema?
> Gostaria que você me informasse também qual o endereço do repositório interlegis que devo colocar no arquivo /etc/apt/sources.list para fazer o upgrade do zope?
>  
> [],s
>  
>  
> Ivan Marcos Garcia
> Núcleo de Processamento de Dados
> Câmara Municipal de Maringá
>  
>  
>  
>  
> Olá Luciano,
>  
>       Estivemos pesquisando, e esse problema era um bug do Zope 2.8.1 que
> estava indo com o Ubuntu.
>  
>       Descobrimos um pacote para o Zope 2.8.3, no qual esse bug está 
> corrigido,
> e colocamos no nosso repositório.
>  
>       Assim, para corrigir o sistema, basta fazer um upgrade do Zope:
>  
>       1) Mantenha, no início do arquivo /etc/apt/sources.list, um 
> apontamento para o repositório
> do interlegis;
>  
>       2) como root, execute:
>                apt-get update
>                apt-get dist-upgrade
>  
>       Pronto!
>  
>       Corrigimos também alguns outros problemas que impediam o 
> funcionamento correto
> do cadastro de normas jurídicas.
>  
>       As novas instalações não precisarão seguir o procedimento acima, 
> pois já será
> instalado automaticamente o Zope 2.8.3.     
> []s,
> Ciciliati.
> 
>  
> 
> 


Mais detalhes sobre a lista de discussão Gitec